Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-4297

Overview

Vulnerability Score 8.3 8.3
CVE Id CVE-2012-4297
Last Modified 23 Sep 2014 01:27:15
Published 16 Aug 2012 06:38:09
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector ADJACENT_NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-4297

Summary

Buffer overflow in the dissect_gsm_rlcmac_downlink function in epan/dissectors/packet-gsm_rlcmac.c in the GSM RLC MAC dissector in Wireshark 1.6.x before 1.6.10 and 1.8.x before 1.8.2 allows remote attackers to execute arbitrary code via a malformed packet.

Vulnerable Systems

Application

  • Wireshark 1.6.0

  • Wireshark 1.6.1

  • Wireshark 1.6.2

  • Wireshark 1.6.3

  • Wireshark 1.6.4

  • Wireshark 1.6.5

  • Wireshark 1.6.6

  • Wireshark 1.6.7

  • Wireshark 1.6.8

  • Wireshark 1.6.9

  • Wireshark 1.8.0

  • Wireshark 1.8.1


References

CONFIRM - http://anonsvn.wireshark.org/viewvc?view=revision&revision=44307

CONFIRM - http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-gsm_rlcmac.h?r1=44307&r2=44306&pathrev=44307

CONFIRM - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7561

CONFIRM - http://www.wireshark.org/security/wnpa-sec-2012-19.html

SUSE - openSUSE-SU-2012:1067

BID - 55035

CONFIRM - https://blogs.oracle.com/sunsecurity/entry/multiple_vulnerabilities_in_wireshark3

SECUNIA - 51363

GENTOO - GLSA-201308-05

SECUNIA - 54425

SECUNIA - 50276


Last Updated: 27 May 2016 10:53:36